Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class DispatchDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.DispatchDAO

public class DispatchDAO extends BillingDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchDAO(User user, String billingId)`
  `DispatchDAO(User user, DBInfo dbInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSubscriptions(Set<Integer> contractIds, Set<Integer> dispatchIds)`
  Добавляет рассылки на договоры в случае нахождения в них подходящих контактов.
  `List<Contact>`
  `getContactList(int contractId)`
  Возвращает список контактов договора.
  `void`
  `updateContact(Contact contact)`
  Обновляет либо добавляет контакт договора.

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchDAO

    public DispatchDAO(User user, DBInfo dbInfo)

  - ### DispatchDAO

    public DispatchDAO(User user, String billingId)

- ## Method Details

  - ### updateContact

    public void updateContact(Contact contact)
    Обновляет либо добавляет контакт договора.
    Parameters:
      `contact` -

  - ### getContactList

    public List<Contact> getContactList(int contractId)
    Возвращает список контактов договора.
    Parameters:
      `contractId` -
    Returns:

  - ### addSubscriptions

    public void addSubscriptions(Set<Integer> contractIds, Set<Integer> dispatchIds)
    Добавляет рассылки на договоры в случае нахождения в них подходящих контактов.
    Parameters:
      `contractIds` - коды договоров
      `dispatchIds` - коды рассылок